From 7ab2f6a5d8b0650eb91c1f475972d7325e1f641d Mon Sep 17 00:00:00 2001
From: John Turner <jturner.usa@gmail.com>
Date: Wed, 2 Aug 2023 02:28:58 -0400
Subject: [PATCH] move arg parse case for -x out of HAVE_X_WINDOWS #ifdef

---
 src/emacs.c | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

diff --git a/src/emacs.c b/src/emacs.c
index 80a013b68df..3349477b4b9 100644
--- a/src/emacs.c
+++ b/src/emacs.c
@@ -1639,10 +1639,19 @@ main (int argc, char **argv)
       /* FIXME broken for --script=FILE - is that supposed to work?  */
       argv[skip_args - 1] = (char *) "-scriptload";
       skip_args -= 2;
       sort_args (argc, argv);
     }
+  if (argmatch (argv, argc, "-x", 0, 1, &junk, &skip_args))
+      {
+	noninteractive = 1;
+	no_site_lisp = 1;
+	/* This is picked up in startup.el.  */
+	argv[skip_args - 1] = (char *) "-scripteval";
+	skip_args -= 2;
+	sort_args (argc, argv);
+      }
 
   /* Handle the --help option, which gives a usage message.  */
   if (argmatch (argv, argc, "-help", "--help", 3, NULL, &skip_args)
       && !only_version)
     {
@@ -2051,20 +2060,10 @@ main (int argc, char **argv)
         if (argmatch (argv, argc, "-Q", "--quick", 3, NULL, &skip_args)
             || argmatch (argv, argc, "-quick", 0, 2, NULL, &skip_args))
           no_site_lisp = 1;
       }
 
-    if (argmatch (argv, argc, "-x", 0, 1, &junk, &skip_args))
-      {
-	noninteractive = 1;
-	no_site_lisp = 1;
-	/* This is picked up in startup.el.  */
-	argv[skip_args - 1] = (char *) "-scripteval";
-	skip_args -= 1;
-	sort_args (argc, argv);
-      }
-
     /* Don't actually discard this arg.  */
     skip_args = count_before;
   }
 #else  /* !HAVE_X_WINDOWS */
   if (! no_site_lisp)
-- 
2.41.0

